"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var ContactValidationInput_1 = require("./ContactValidationInput");
var core_1 = require("@material-ui/core");
var react_1 = __importDefault(require("react"));
var SealModal = function (_a) {
    var open = _a.open, proceed = _a.proceed;
    var containerStyle = {
        padding: 20,
        gap: 20
    };
    var buttonsContainerStyle = { gap: 20 };
    var headerContainerStyle = { gap: 10 };
    var onClose = function () { return proceed({ status: false }); };
    return react_1.default.createElement(core_1.Dialog, __assign({}, { open: open, onClose: onClose }),
        react_1.default.createElement(core_1.Grid, { container: true, direction: 'column', style: containerStyle },
            react_1.default.createElement(core_1.Grid, { container: true, alignItems: 'center', style: headerContainerStyle },
                react_1.default.createElement(core_1.Typography, { variant: 'h6' }, "Chancela"),
                react_1.default.createElement(ContactValidationInput_1.SealIcon, { color: ContactValidationInput_1.GREEN_COLOR, size: 20 })),
            react_1.default.createElement("div", null,
                react_1.default.createElement(core_1.Typography, null, "Ao confirmar voc\u00EA estar\u00E1 validando o contato com um selo especial")),
            react_1.default.createElement(core_1.Grid, { container: true, justifyContent: 'flex-end', style: buttonsContainerStyle },
                react_1.default.createElement(core_1.Button, { onClick: onClose }, "Voltar"),
                react_1.default.createElement(core_1.Button, { color: 'primary', variant: 'contained', onClick: function (event) { return proceed({ status: true }); } }, "Confirmar"))));
};
exports.default = SealModal;
