"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GREEN_COLOR = exports.SealIcon = void 0;
require("./style.css");
var SealModal_1 = __importDefault(require("./SealModal"));
var __1 = require("../");
var api_1 = require("../../api");
var utils_1 = require("../../utils");
var api_2 = require("../../utils/api");
var core_1 = require("@material-ui/core");
var react_1 = __importStar(require("react"));
var io_1 = require("react-icons/io");
var lia_1 = require("react-icons/lia");
var pi_1 = require("react-icons/pi");
var react_maskedinput_1 = __importDefault(require("react-maskedinput"));
var EMAIL_VALIDATION_REGEX = /^[\w-.]+@([\w-]+\.)+[\w-]{2,4}$/;
var cellphoneMaskedInput = function (props) { return react_1.default.createElement(react_maskedinput_1.default, __assign({ mask: '(11) 11111-1111' }, props)); };
exports.SealIcon = pi_1.PiSealCheck;
exports.GREEN_COLOR = '#00995D';
var ORANGE_COLOR = '#f5781e';
var RED_COLOR = '#f44336';
var INPUT_ADORNMENT_ICON_SIZE = 18;
var loadingInitialState = {
    input: false,
    validation: false,
    sendValidationLink: false
};
var messageInitialState = { color: '', text: '' };
var initialState = {
    loading: loadingInitialState,
    validated: false,
    validating: false,
    searched: false,
    idContato: '',
    cdContato: '',
    code: '',
    message: messageInitialState
};
var ContactValidationInput = function (_a) {
    var id = _a.id, _b = _a.type, type = _b === void 0 ? ('cellphone' || 'email') : _b, _c = _a.textFieldProps, textFieldProps = _c === void 0 ? {} : _c, _d = _a.style, style = _d === void 0 ? {} : _d, _e = _a.className, className = _e === void 0 ? '' : _e, disabled = _a.disabled, _f = _a.cpf, cpf = _f === void 0 ? '' : _f, _g = _a.userName, userName = _g === void 0 ? '' : _g, _h = _a.value, value = _h === void 0 ? '' : _h, _j = _a.onChange, onChange = _j === void 0 ? function () { return ''; } : _j, _k = _a.getComponentData, getComponentData = _k === void 0 ? function () { return ''; } : _k;
    var theme = core_1.useTheme();
    var _l = react_1.useState(__assign(__assign({}, initialState), { inputValue: value })), state = _l[0], setState = _l[1];
    var inputValue = state.inputValue, loading = state.loading, searched = state.searched, validated = state.validated, idContato = state.idContato, cdContato = state.cdContato, code = state.code, message = state.message, validating = state.validating;
    var createModal = utils_1.useModal().createModal;
    var sealModal = createModal(SealModal_1.default);
    var logicSetState = function (_a) {
        var type = _a.type, field = _a.field, value = _a.value;
        return setState(function (states) {
            var _a, _b;
            return (__assign(__assign({}, states), (_a = {}, _a[type] = (type && field) ? __assign(__assign({}, states[type]), (_b = {}, _b[field] = value, _b)) : value, _a)));
        });
    };
    var cellphoneType = (type === 'cellphone');
    var emailType = (type === 'email');
    var formattedInputValue = (cellphoneType) ? utils_1.numbersOnly(inputValue) : inputValue;
    var invalidType = (!cellphoneType && !emailType);
    var disabledRule = (disabled || !cpf || !userName || invalidType || loading.input);
    var validatedRule = (searched && validated && !validating);
    var noValidatedRule = ((searched && !validated) || validating);
    var validCellphone = (cellphoneType && (formattedInputValue.length === 11));
    var validEmail = (emailType && (EMAIL_VALIDATION_REGEX.test(inputValue)));
    var sendValidationCodeButtonDisabled = (validCellphone || validEmail) ? false : true;
    var codeWasSent = !!idContato;
    var containerStyle = { gap: 10 };
    var endInputAdornmentStyle = { gap: 7 };
    var messageStyle = {
        color: (message.color || theme.palette.text.primary),
        fontStyle: 'italic'
    };
    var validateCodeButtonsContainerStyle = { gap: 10 };
    var validateCodeButtonStyle = {
        width: 'calc(100% - 36px - 10px)'
    };
    var sealButtonStyle = {
        height: '100%',
        color: exports.GREEN_COLOR,
        border: "2px solid " + exports.GREEN_COLOR,
        borderRadius: 4,
        padding: 5,
        fontSize: 22
    };
    var handleOnChange = function (event) {
        event.target.value = event.target.value.toString().toLowerCase();
        logicSetState({ type: 'inputValue', value: event.target.value });
        (typeof onChange === 'function') && onChange(event);
    };
    var search = react_1.useCallback(function () { return __awaiter(void 0, void 0, void 0, function () {
        var parameters, fetchOptions, _a, status, cdContato, isVerificado;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    if (invalidType)
                        return [2 /*return*/];
                    logicSetState({ type: 'loading', field: 'input', value: true });
                    parameters = {
                        method: 'S',
                        type: (cellphoneType) ? '1' : (emailType) ? '2' : '',
                        cdCpf: utils_1.numbersOnly(cpf)
                    };
                    fetchOptions = {
                        method: 'POST',
                        body: JSON.stringify(parameters),
                        headers: api_1.headers()
                    };
                    return [4 /*yield*/, fetch(api_1.api() + "agscontactconfirmation.rslvr", fetchOptions).then(function (response) { return __awaiter(void 0, void 0, void 0, function () { return __generator(this, function (_a) {
                            switch (_a.label) {
                                case 0: return [4 /*yield*/, response.json()];
                                case 1: return [2 /*return*/, _a.sent()];
                            }
                        }); }); })];
                case 1:
                    _a = _b.sent(), status = _a.status, cdContato = _a.cdContato, isVerificado = _a.isVerificado;
                    if (status) {
                        setState(function (states) { return (__assign(__assign({}, states), { cdContato: cdContato, inputValue: (cdContato || ''), searched: true, validated: isVerificado })); });
                    }
                    logicSetState({ type: 'loading', field: 'input', value: false });
                    return [2 /*return*/];
            }
        });
    }); }, [cellphoneType, emailType, invalidType, cpf]);
    react_1.useEffect(function () {
        search();
    }, [search]);
    var sendValidationCode = function () { return __awaiter(void 0, void 0, void 0, function () {
        var parameters, fetchOptions, _a, status, idContato, cdContato, dsErro;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    if (invalidType)
                        return [2 /*return*/];
                    logicSetState({ type: 'loading', field: 'input', value: true });
                    parameters = {
                        method: 'C',
                        type: (cellphoneType) ? '1' : (emailType) ? '2' : '',
                        tpMetodo: (emailType) ? '3' : '',
                        cdCpf: utils_1.numbersOnly(cpf),
                        dsNome: userName,
                        cdContato: formattedInputValue
                    };
                    fetchOptions = {
                        method: 'POST',
                        body: JSON.stringify(parameters),
                        headers: api_1.headers()
                    };
                    return [4 /*yield*/, fetch(api_1.api() + "agscontactconfirmation.rslvr", fetchOptions).then(function (response) { return __awaiter(void 0, void 0, void 0, function () { return __generator(this, function (_a) {
                            switch (_a.label) {
                                case 0: return [4 /*yield*/, response.json()];
                                case 1: return [2 /*return*/, _a.sent()];
                            }
                        }); }); })];
                case 1:
                    _a = _b.sent(), status = _a.status, idContato = _a.idContato, cdContato = _a.cdContato, dsErro = _a.dsErro;
                    if (status) {
                        setState(function (states) { return (__assign(__assign({}, states), { idContato: idContato,
                            cdContato: cdContato, validated: false, validating: true, message: {
                                color: ORANGE_COLOR,
                                text: (cellphoneType) ? 'Utilize o código recebido via sms' : (emailType) ? 'Utilize o código recebido via e-mail' : ''
                            } })); });
                    }
                    else {
                        (dsErro) && api_2.setError(dsErro);
                    }
                    logicSetState({ type: 'loading', field: 'input', value: false });
                    return [2 /*return*/];
            }
        });
    }); };
    var sendValidationLink = function () { return __awaiter(void 0, void 0, void 0, function () {
        var parameters, fetchOptions, _a, status, cdContato, dsErro;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    if (invalidType)
                        return [2 /*return*/];
                    logicSetState({ type: 'loading', field: 'sendValidationLink', value: true });
                    parameters = {
                        method: 'C',
                        type: '2',
                        tpMetodo: '4',
                        cdCpf: utils_1.numbersOnly(cpf),
                        dsNome: userName,
                        cdContato: formattedInputValue
                    };
                    fetchOptions = {
                        method: 'POST',
                        body: JSON.stringify(parameters),
                        headers: api_1.headers()
                    };
                    return [4 /*yield*/, fetch(api_1.api() + "agscontactconfirmation.rslvr", fetchOptions).then(function (response) { return __awaiter(void 0, void 0, void 0, function () { return __generator(this, function (_a) {
                            switch (_a.label) {
                                case 0: return [4 /*yield*/, response.json()];
                                case 1: return [2 /*return*/, _a.sent()];
                            }
                        }); }); })];
                case 1:
                    _a = _b.sent(), status = _a.status, cdContato = _a.cdContato, dsErro = _a.dsErro;
                    if (status) {
                        setState(function (states) { return (__assign(__assign({}, states), { idContato: '', cdContato: cdContato, code: '', message: {
                                color: '',
                                text: "O link de valida\u00E7\u00E3o foi enviado para o e-mail \"" + cdContato + "\""
                            } })); });
                    }
                    else {
                        (dsErro) && api_2.setError(dsErro);
                    }
                    logicSetState({ type: 'loading', field: 'sendValidationLink', value: false });
                    return [2 /*return*/];
            }
        });
    }); };
    var validateCode = function (_a) {
        var _b = _a.snChancela, snChancela = _b === void 0 ? false : _b;
        return __awaiter(void 0, void 0, void 0, function () {
            var parameters, fetchOptions, _c, status, isVerificado, messageText_1;
            return __generator(this, function (_d) {
                switch (_d.label) {
                    case 0:
                        if (invalidType)
                            return [2 /*return*/];
                        logicSetState({ type: 'loading', field: (snChancela) ? 'input' : 'validation', value: true });
                        parameters = {
                            method: 'V',
                            type: (cellphoneType) ? '1' : (emailType) ? '2' : '',
                            cdCpf: utils_1.numbersOnly(cpf),
                            dsNome: userName,
                            cdCode: code,
                            cdContato: formattedInputValue,
                            idContato: idContato,
                            snChancela: snChancela
                        };
                        fetchOptions = {
                            method: 'POST',
                            body: JSON.stringify(parameters),
                            headers: api_1.headers()
                        };
                        return [4 /*yield*/, fetch(api_1.api() + "agscontactconfirmation.rslvr", fetchOptions).then(function (response) { return __awaiter(void 0, void 0, void 0, function () { return __generator(this, function (_a) {
                                switch (_a.label) {
                                    case 0: return [4 /*yield*/, response.json()];
                                    case 1: return [2 /*return*/, _a.sent()];
                                }
                            }); }); })];
                    case 1:
                        _c = _d.sent(), status = _c.status, isVerificado = _c.isVerificado;
                        if (status) {
                            messageText_1 = '';
                            if (isVerificado) {
                                if (cellphoneType)
                                    messageText_1 = 'Celular validado com sucesso';
                                else if (emailType)
                                    messageText_1 = 'E-mail validado com sucesso';
                                setTimeout(function () { return logicSetState({ type: 'message', value: messageInitialState }); }, 6000);
                            }
                            else {
                                messageText_1 = 'Código inválido. Por favor tente novamente.';
                            }
                            setState(function (states) { return (__assign(__assign({}, states), { validated: isVerificado, validating: false, idContato: '', code: '', message: {
                                    color: (isVerificado) ? '' : RED_COLOR,
                                    text: messageText_1
                                } })); });
                        }
                        logicSetState({ type: 'loading', field: (snChancela) ? 'input' : 'validation', value: false });
                        return [2 /*return*/];
                }
            });
        });
    };
    var toSeal = function () { return __awaiter(void 0, void 0, void 0, function () {
        var status;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, sealModal()];
                case 1:
                    status = (_a.sent()).status;
                    if (status)
                        validateCode({ snChancela: true });
                    return [2 /*return*/];
            }
        });
    }); };
    var checkConsistency = react_1.useCallback(function () {
        if ((formattedInputValue === cdContato) && validated)
            logicSetState({ type: 'validating', value: false });
        else if (!(formattedInputValue === cdContato) && validated)
            logicSetState({ type: 'validating', value: true });
        else if (!(formattedInputValue === cdContato) && validating) {
            setState(function (states) { return (__assign(__assign({}, states), { idContato: '', validated: false, validating: false, code: '', message: messageInitialState })); });
        }
    }, [formattedInputValue, cdContato, validated, validating]);
    react_1.useEffect(function () { return checkConsistency(); }, [formattedInputValue, checkConsistency]);
    react_1.useEffect(function () {
        (typeof getComponentData === 'function') && getComponentData(state);
    }, [state, getComponentData]);
    return react_1.default.createElement(core_1.Grid, __assign({ container: true, direction: 'column' }, { id: id, className: className }, { style: __assign(__assign({}, style), containerStyle) }),
        react_1.default.createElement(core_1.TextField, __assign({}, textFieldProps, { disabled: disabledRule, value: inputValue, onChange: handleOnChange, InputProps: __assign(__assign({}, textFieldProps === null || textFieldProps === void 0 ? void 0 : textFieldProps.InputProps), { inputComponent: (cellphoneType) ? cellphoneMaskedInput : undefined, endAdornment: (react_1.default.createElement(core_1.InputAdornment, { position: 'end', style: endInputAdornmentStyle },
                    (validatedRule) && react_1.default.createElement(io_1.IoMdCheckmark, { color: exports.GREEN_COLOR, size: INPUT_ADORNMENT_ICON_SIZE }),
                    (noValidatedRule) && react_1.default.createElement(lia_1.LiaExclamationTriangleSolid, { color: ORANGE_COLOR, size: INPUT_ADORNMENT_ICON_SIZE }),
                    (loading.input) && react_1.default.createElement(core_1.CircularProgress, { color: 'secondary', size: INPUT_ADORNMENT_ICON_SIZE }),
                    (noValidatedRule) && (react_1.default.createElement(core_1.Button, { size: 'small', variant: 'contained', disableElevation: true, disabled: disabledRule || loading.validation || sendValidationCodeButtonDisabled, onClick: sendValidationCode }, "Validar")))) }) })),
        (message.text) && (react_1.default.createElement("div", null,
            react_1.default.createElement(core_1.Typography, { style: messageStyle }, message.text))),
        (codeWasSent) && (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement("div", { className: 'otp-input-container' },
                react_1.default.createElement(__1.OtpInput, { autoFocus: true, numInputs: 5, disabled: disabledRule || loading.validation, value: code, onChange: function (newCode) { return logicSetState({ type: 'code', value: newCode }); } })),
            react_1.default.createElement(core_1.Grid, { container: true, alignItems: 'center', style: validateCodeButtonsContainerStyle },
                react_1.default.createElement(core_1.IconButton, { title: 'Chancelar', tabIndex: '1', size: 'small', disabled: disabledRule || loading.validation || loading.sendValidationLink, onClick: toSeal, style: sealButtonStyle },
                    react_1.default.createElement(exports.SealIcon, null)),
                react_1.default.createElement(core_1.Button, { color: 'primary', variant: 'contained', disableElevation: true, disabled: disabledRule || loading.validation || loading.sendValidationLink || (code.length < 5), startIcon: (loading.validation) ? react_1.default.createElement(core_1.CircularProgress, { color: 'secondary', size: 20 }) : null, onClick: validateCode, style: validateCodeButtonStyle }, "Validar c\u00F3digo")),
            (emailType) && (react_1.default.createElement(core_1.Button, { variant: 'contained', disableElevation: true, disabled: disabledRule || loading.validation || loading.sendValidationLink, startIcon: (loading.sendValidationLink) ? react_1.default.createElement(core_1.CircularProgress, { color: 'secondary', size: 20 }) : null, onClick: sendValidationLink }, "Enviar link para valida\u00E7\u00E3o no e-mail")))));
};
exports.default = ContactValidationInput;
